CachingSpanFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.CachingSpanFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class CachingSpanFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.SpanFilter
              org.apache.lucene.search.CachingSpanFilter

All Implemented Interfaces:
  Serializable

    public class CachingSpanFilter

extends SpanFilter

Wraps another SpanFilter's result and caches it. The purpose is to allow filters to simply filter, and then wrap with this class to add caching.

See Also:
  Serialized Form

Field Summary
`protected Map` | `cache` A transient Filter cache.
`protected SpanFilter` | `filter`

Constructor Summary
`CachingSpanFilter(SpanFilter filter)`

Method Summary
`BitSet` | `bits(IndexReader reader)` Deprecated. Use `getDocIdSet(IndexReader)` instead.
`SpanFilterResult` | `bitSpans(IndexReader reader)` Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.
`boolean` | `equals(Object o)`
`DocIdSet` | `getDocIdSet(IndexReader reader)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### filter

    protected SpanFilter filter

### cache

    protected transient Map cache

  A transient Filter cache. To cache Filters even when using `RemoteSearchable` use `RemoteCachingWrapperFilter` instead.

Constructor Detail

### CachingSpanFilter

    public CachingSpanFilter(SpanFilter filter)

Parameters:
  `filter` - Filter to cache results of

Method Detail

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Deprecated. Use `getDocIdSet(IndexReader)` instead.

  Overrides:
    `bits` in class `Filter`
  Returns:
    A BitSet with true for documents which should be permitted in search results, and false for those that should not.
  Throws:
    `IOException`

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Overrides:
    `getDocIdSet` in class `Filter`
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results.
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`

### bitSpans

    public SpanFilterResult bitSpans(IndexReader reader)
                              throws IOException

  Description copied from class: `SpanFilter`
  Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.

  Specified by:
    `bitSpans` in class `SpanFilter`
  Parameters:
    `reader` - The `IndexReader` to load position and DocIdSet information from
  Returns:
    A `SpanFilterResult`
  Throws:
    `IOException` - if there was an issue accessing the necessary information

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.